Package com.google.android.exoplayer2.source.ads

## Interface ServerSideAdInsertionMediaSource.AdPlaybackStateUpdater

- Enclosing class:
    ServerSideAdInsertionMediaSource

      public static interface ServerSideAdInsertionMediaSource.AdPlaybackStateUpdater

  Receives ad playback state update requests when the `Timeline` of the content media source has changed.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `onAdPlaybackStateUpdateRequested​(Timeline contentTimeline)` | Called when the content source has refreshed the timeline.

- - ### Method Detail

    - #### onAdPlaybackStateUpdateRequested

          boolean onAdPlaybackStateUpdateRequested​(Timeline contentTimeline)

      Called when the content source has refreshed the timeline.

      If true is returned the source refresh publication is deferred, to wait for an `ServerSideAdInsertionMediaSource.setAdPlaybackStates(ImmutableMap)` ad playback state update}. If false is returned, the source refresh is immediately published.

      Called on the playback thread.

      Parameters:
        `contentTimeline` - The `Timeline` of the wrapped content media source.
      Returns:
        true to defer the source refresh publication, or false to immediately publish the source refresh.